CM2 v1.40 vs v1.41 instrucution

As per Respected Mr. Dipendra Pathak question here is explanation why CM2 v1.40 can run but v1.41 can not run.
I am sure this explanation will be useful for all teams Product Supporters and Product Managers.

– CM2 v1.41 require Box/Dongle firmware version 1.30
– User can update Box/Donge to version 1.30 only if he has Active Support
How to check Support Expiration date – Infinity-Box – FAQ (Frequently Asked Questions)

If GPG Team want to have similar activation system we are always open for any cooperation with any team.